Bug 1315129 - Can't boot Feb 23 F24 in QEMU
Can't boot Feb 23 F24 in QEMU
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
24
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-06 19:24 EST by Tim Lloyd
Modified: 2017-08-08 09:06 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:06:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Lloyd 2016-03-06 19:24:25 EST
Hi, I grabbed the 64 bit F24 workstation iso from

http://koji.fedoraproject.org/koji/tasks?state=all&view=tree&method=livecd&order=-id

I thought I would set this up as a VM and have a look. I use QEMU on F23.

qemu-img create -f qcow2 Templates/f24.img 50G

then

qemu-system-x86_64 -cdrom Downloads/Fedora-Live-Workstation-x86_64-rawhide-20160223.iso -hda Templates/f24.img -boot c -m 2048 -enable-kvm -vga qxl &

or


qemu-system-x86_64 -cdrom Downloads/Fedora-Live-Workstation-x86_64-rawhide-20160223.iso -hda Templates/f24.img -boot c -m 2048 -enable-kvm &

Either way the live session kicks off. I get the Fedora logo and then a black screen and nothing else. I notice that, on the F23 host, the qemu process is active on my "top" screen for about 60s after the black screen and then just disappears. 

journalctl shows:

-- Logs begin at Mon 2015-09-07 10:12:48 AEST, end at Sun 2016-03-06 15:16:32 AEDT. --
Mar 06 15:16:25 dragon kernel: kvm: zapping shadow pages for mmio generation wraparound
Mar 06 15:16:25 dragon kernel: kvm: zapping shadow pages for mmio generation wraparound
Mar 06 15:16:32 dragon kernel: kvm [25788]: vcpu0 disabled perfctr wrmsr: 0xc2 data 0xffff

Does anyone have any suggestions on how I can get around this? Are there any other qemu switches I can try?

I have included lspci to see whether this triggers any thoughts.

Quote:
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b5)
00:1c.5 PCI bridge: Intel Corporation 82801 PCI Bridge (rev b5)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation H61 Express Chipset Family LPC Controller (rev 05)
00:1f.2 IDE interface: Intel Corporation 6 Series/C200 Series Chipset Family 4 port SATA IDE Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
00:1f.5 IDE interface: Intel Corporation 6 Series/C200 Series Chipset Family 2 port SATA IDE Controller (rev 05)
02:00.0 Ethernet controller: Qualcomm Atheros AR8151 v2.0 Gigabit Ethernet (rev c0)
03:00.0 PCI bridge: Integrated Technology Express, Inc. Device 8892 (rev 30)
Comment 1 Amit Shah 2016-03-07 02:50:40 EST
Can you try giving the VM more RAM?  I suspect the VM is running out of RAM.  Try with 8G and 4G.
Comment 2 Tim Lloyd 2016-03-07 03:22:36 EST
Hi, the PC only has 8G so I guess that is out of the question. I tried with 4G and I am afraid that did not make a difference. Are there any logs I can check?

Anyway, tomorrow (I am in Sydney), I'll drop this image on a USB stick and see if it boots on my laptop.

Cheers
Comment 3 Amit Shah 2016-03-07 04:00:56 EST
(In reply to Tim Lloyd from comment #2)
> Hi, the PC only has 8G so I guess that is out of the question. I tried with
> 4G and I am afraid that did not make a difference. Are there any logs I can
> check?

Yes, logs from the guest.  You can grab them on the host via the serial console.
Comment 4 Tim Lloyd 2016-03-07 18:50:02 EST
Hi, not sure how to access the serial console. Is this the CTRL-ALT-F2? WHen I tried this I ended up back on my PCs logon screen!

I don't know whether this is a separate issue but I tried to run this version on my HP Elite Book 8540p laptop (4GB of RAM), the image got to the same stage and then constantly output these messages. I had to power off to stop this


Stopped User Manager for UID 1000
Removed slice user-1000 slice
Comment 5 Amit Shah 2016-03-08 01:46:26 EST
Add
  -serial stdio

to your qemu cmdline, and the serial output from the guest will show up in your host's term window.

On the guest kernel cmdline, add

console=tty0 console=ttyS0

to ensure the guest outputs stuff to the serial console.

This most likely looks like something going wrong in the guest - anyway, we'll find out what it really is when we get the serial output.
Comment 6 Tim Lloyd 2016-03-08 02:35:10 EST
Hi,

still a few grey areas. I understand the first bit so I get:

qemu-system-x86_64 -cdrom Downloads/Fedora-Live-Workstation-x86_64-rawhide-20160223.iso -hda Templates/f24.img -boot c -m 4G -enable-kvm -serial stdio

Not too sure how or where to add

console=tty0 console=ttyS0

Cheers
Comment 7 Amit Shah 2016-03-08 03:11:21 EST
(In reply to Tim Lloyd from comment #6)
> Hi,
> 
> still a few grey areas. I understand the first bit so I get:
> 
> qemu-system-x86_64 -cdrom
> Downloads/Fedora-Live-Workstation-x86_64-rawhide-20160223.iso -hda
> Templates/f24.img -boot c -m 4G -enable-kvm -serial stdio

OK, is there any output on the term at all with just this much?

> Not too sure how or where to add
> 
> console=tty0 console=ttyS0

When you boot the live iso, the boot menu shows 'Start Fedora Live' with a countdown.  Hit 'Tab', and you'll see the timer at the bottom replaced by a line that starts with '> vmlinuz initrd=....'.  This line may wrap around.  Just typing

  console=tty0 console=ttyS0

after hitting 'Tab' will append to that line.  Also remove the 'rhgb quiet' words on that line, so all the kernel logs are captured on the term as well.

hitting 'Enter' once you're done will boot the kernel with these parameters.
Comment 8 Tim Lloyd 2016-03-08 04:57:48 EST
Hi, I hope this means something

Thanks

[tim@dragon ~]$ qemu-system-x86_64 -cdrom Downloads/Fedora-Live-Workstation-x86_64-rawhide-20160223.iso -hda Templates/f24.img -boot c -m 4G -enable-kvm -serial stdio
[    0.000000] Linux version 4.5.0-0.rc5.git0.1.fc24.x86_64 (mockbuild@bkernel02.phx2.fedoraproject.org) (gcc version 6.0.0 20160219 (Red Hat 6.0.0-0.12) (GCC) ) #1 SMP Sun Feb 21 22:39:46 UTC 2016
[    0.000000] Command line: BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-rawhide-20 rootfstype=auto ro rd.live.image rd.luks=0 rd.md=0 rd.dm=0 console=tty0 console=ttyS0
[    0.000000] x86/fpu: Legacy x87 FPU detected.
[    0.000000] x86/fpu: Using 'lazy' FPU context switches.
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000bffdffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000bffe0000-0x00000000bfffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000feffc000-0x00000000feffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000013fffffff] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.8 present.
[    0.000000] Hypervisor detected: KVM
[    0.000000] e820: last_pfn = 0x140000 max_arch_pfn = 0x400000000
[    0.000000] x86/PAT: PAT not supported by CPU.
[    0.000000] e820: last_pfn = 0xbffe0 max_arch_pfn = 0x400000000
[    0.000000] found SMP MP-table at [mem 0x000f64e0-0x000f64ef] mapped at [ffff8800000f64e0]
[    0.000000] RAMDISK: [mem 0x7d007000-0x7fffffff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000000F62E0 000014 (v00 BOCHS )
[    0.000000] ACPI: RSDT 0x00000000BFFE16EE 000034 (v01 BOCHS  BXPCRSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: FACP 0x00000000BFFE0C14 000074 (v01 BOCHS  BXPCFACP 00000001 BXPC 00000001)
[    0.000000] ACPI: DSDT 0x00000000BFFE0040 000BD4 (v01 BOCHS  BXPCDSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: FACS 0x00000000BFFE0000 000040
[    0.000000] ACPI: SSDT 0x00000000BFFE0C88 0009B6 (v01 BOCHS  BXPCSSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: APIC 0x00000000BFFE163E 000078 (v01 BOCHS  BXPCAPIC 00000001 BXPC 00000001)
[    0.000000] ACPI: HPET 0x00000000BFFE16B6 000038 (v01 BOCHS  BXPCHPET 00000001 BXPC 00000001)
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000013fffffff]
[    0.000000] NODE_DATA(0) allocated [mem 0x13ffeb000-0x13fffcfff]
[    0.000000] kvm-clock: Using msrs 4b564d01 and 4b564d00
[    0.000000] kvm-clock: cpu 0, msr 1:3ffdb001, primary cpu clock
[    0.000000] kvm-clock: using sched offset of 87007823727 cycles
[    0.000000] clocksource: kvm-clock: mask: 0xffffffffffffffff max_cycles: 0x1cd42e4dffb, max_idle_ns: 881590591483 ns
[    0.000000] Zone ranges:
[    0.000000]   DMA32    [mem 0x0000000000001000-0x00000000ffffffff]
[    0.000000]   Normal   [mem 0x0000000100000000-0x000000013fffffff]
[    0.000000]   Device   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x000000000009efff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x00000000bffdffff]
[    0.000000]   node   0: [mem 0x0000000100000000-0x000000013fffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x000000013fffffff]
[    0.000000] ACPI: PM-Timer IO Port: 0x608
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0xff] dfl dfl lint[0x1])
[    0.000000] IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] smpboot: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]
[    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[    0.000000] PM: Registered nosave memory: [mem 0xbffe0000-0xbfffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xc0000000-0xfeffbfff]
[    0.000000] PM: Registered nosave memory: [mem 0xfeffc000-0xfeffffff]
[    0.000000] PM: Registered nosave memory: [mem 0xff000000-0xfffbffff]
[    0.000000] PM: Registered nosave memory: [mem 0xfffc0000-0xffffffff]
[    0.000000] e820: [mem 0xc0000000-0xfeffbfff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on KVM
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1910969940391419 ns
[    0.000000] setup_percpu: NR_CPUS:1024 nr_cpumask_bits:1 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 34 pages/cpu @ffff88013fc00000 s98648 r8192 d32424 u2097152
[    0.000000] KVM setup async PF for cpu 0
[    0.000000] kvm-stealtime: cpu 0, msr 13fc0d8c0
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 1032043
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-rawhide-20 rootfstype=auto ro rd.live.image rd.luks=0 rd.md=0 rd.dm=0 console=tty0 console=ttyS0
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] Memory: 3995772K/4193784K available (8031K kernel code, 1332K rwdata, 3500K rodata, 1548K init, 1544K bss, 198012K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	Build-time adjustment of leaf fanout to 64.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=1024 to nr_cpu_ids=1.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=64, nr_cpu_ids=1
[    0.000000] NR_IRQS:65792 nr_irqs:256 16
[    0.000000] 	Offload RCU callbacks from all CPUs
[    0.000000] 	Offload RCU callbacks from CPUs: 0.
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.000000] console [ttyS0] enabled
[    0.000000] clocksource: hpet: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604467 ns
[    0.000000] tsc: Detected 2494.332 MHz processor
[    0.299445] Calibrating delay loop (skipped) preset value.. 4988.66 BogoMIPS (lpj=2494332)
[    0.301686] pid_max: default: 32768 minimum: 301
[    0.303016] ACPI: Core revision 20160108
[    0.305357] ACPI: 2 ACPI AML tables successfully acquired and loaded
[    0.306876] 
[    0.307674] Security Framework initialized
[    0.309092] Yama: becoming mindful.
[    0.310214] SELinux:  Initializing.
[    0.312656] Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.321418] Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.325311] Mount-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.326908] Mountpoint-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.329048] mce: CPU supports 10 MCE banks
[    0.330286] Last level iTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.331588] Last level dTLB entries: 4KB 0, 2MB 0, 4MB 0, 1GB 0
[    0.348135] Freeing SMP alternatives memory: 32K (ffffffff81ed1000 - ffffffff81ed9000)
[    0.354223] ftrace: allocating 29821 entries in 117 pages
[    0.391433] x2apic enabled
[    0.392682] Switched APIC routing to physical x2apic.
[    0.394945] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.498148] smpboot: CPU0: Intel QEMU Virtual CPU version 2.4.1 (family: 0x6, model: 0x6, stepping: 0x3)
[    0.500740] Performance Events: Broken PMU hardware detected, using software events only.
[    0.503139] Failed to access perfctr msr (MSR c2 is 0)
[    0.505209] x86: Booted up 1 node, 1 CPUs
[    0.506361] smpboot: Total of 1 processors activated (4988.66 BogoMIPS)
[    0.508388] devtmpfs: initialized
[    0.513177] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.515628] atomic64_test: passed for x86-64 platform with CX8 and with SSE
[    0.517098] pinctrl core: initialized pinctrl subsystem
[    0.518504] RTC time:  9:52:34, date: 03/08/16
[    0.519809] NET: Registered protocol family 16
[    0.521178] cpuidle: using governor menu
[    0.522444] ACPI: bus type PCI registered
[    0.523571] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.527984] PCI: Using configuration type 1 for base access
[    0.530803] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.532611] ACPI: Added _OSI(Module Device)
[    0.533720] ACPI: Added _OSI(Processor Device)
[    0.534858] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.536022] ACPI: Added _OSI(Processor Aggregator Device)
[    0.538091] ACPI: Interpreter enabled
[    0.539178] ACPI: (supports S0 S3 S4 S5)
[    0.540346] ACPI: Using IOAPIC for interrupt routing
[    0.541635] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.546665] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.548067] acpi PNP0A03:00: _OSC: OS supports [ASPM ClockPM Segments MSI]
[    0.549535] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[    0.550943] acpi PNP0A03:00: fail to add MMCONFIG information, can't access extended PCI configuration space under this bridge.
[    0.553918] acpiphp: Slot [3] registered
[    0.556205] acpiphp: Slot [4] registered
[    0.557233] acpiphp: Slot [5] registered
[    0.558250] acpiphp: Slot [6] registered
[    0.559558] acpiphp: Slot [7] registered
[    0.560763] acpiphp: Slot [8] registered
[    0.561867] acpiphp: Slot [9] registered
[    0.563199] acpiphp: Slot [10] registered
[    0.564289] acpiphp: Slot [11] registered
[    0.565393] acpiphp: Slot [12] registered
[    0.566477] acpiphp: Slot [13] registered
[    0.567587] acpiphp: Slot [14] registered
[    0.568683] acpiphp: Slot [15] registered
[    0.569772] acpiphp: Slot [16] registered
[    0.570866] acpiphp: Slot [17] registered
[    0.573956] acpiphp: Slot [18] registered
[    0.575079] acpiphp: Slot [19] registered
[    0.576195] acpiphp: Slot [20] registered
[    0.577325] acpiphp: Slot [21] registered
[    0.578433] acpiphp: Slot [22] registered
[    0.579531] acpiphp: Slot [23] registered
[    0.580623] acpiphp: Slot [24] registered
[    0.581704] acpiphp: Slot [25] registered
[    0.582783] acpiphp: Slot [26] registered
[    0.583864] acpiphp: Slot [27] registered
[    0.586802] acpiphp: Slot [28] registered
[    0.587966] acpiphp: Slot [29] registered
[    0.589212] acpiphp: Slot [30] registered
[    0.590441] acpiphp: Slot [31] registered
[    0.591690] PCI host bridge to bus 0000:00
[    0.592814] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
[    0.594283] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.595759] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.597737] pci_bus 0000:00: root bus resource [mem 0xc0000000-0xfebfffff window]
[    0.611371] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.618798] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
[    0.620548] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io  0x03f6]
[    0.621928] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
[    0.625661] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io  0x0376]
[    0.627761] pci 0000:00:01.3: quirk: [io  0x0600-0x063f] claimed by PIIX4 ACPI
[    0.629705] pci 0000:00:01.3: quirk: [io  0x0700-0x070f] claimed by PIIX4 SMB
[    0.655597] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)
[    0.661554] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)
[    0.664716] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)
[    0.668108] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)
[    0.671428] ACPI: PCI Interrupt Link [LNKS] (IRQs *9)
[    0.676962] ACPI: Enabled 16 GPEs in block 00 to 0F
[    0.679934] vgaarb: setting as boot device: PCI:0000:00:02.0
[    0.682759] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
[    0.687036] vgaarb: loaded
[    0.689198] vgaarb: bridge control possible 0000:00:02.0
[    0.692003] SCSI subsystem initialized
[    0.694277] ACPI: bus type USB registered
[    0.696487] usbcore: registered new interface driver usbfs
[    0.699254] usbcore: registered new interface driver hub
[    0.702028] usbcore: registered new device driver usb
[    0.704856] PCI: Using ACPI for IRQ routing
[    0.709232] NetLabel: Initializing
[    0.711229] NetLabel:  domain hash size = 128
[    0.714073] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.716717] NetLabel:  unlabeled traffic allowed by default
[    0.721082] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
[    0.722616] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[    0.724068] hpet0: 3 comparators, 64-bit 100.000000 MHz counter
[    0.728635] clocksource: Switched to clocksource kvm-clock
[    0.746436] VFS: Disk quotas dquot_6.6.0
[    0.747578] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.749175] pnp: PnP ACPI init
[    0.750680] pnp: PnP ACPI: found 6 devices
[    0.758183] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.760521] NET: Registered protocol family 2
[    0.761910] TCP established hash table entries: 32768 (order: 6, 262144 bytes)
[    0.764093] TCP bind hash table entries: 32768 (order: 7, 524288 bytes)
[    0.767136] TCP: Hash tables configured (established 32768 bind 32768)
[    0.768716] UDP hash table entries: 2048 (order: 4, 65536 bytes)
[    0.770109] UDP-Lite hash table entries: 2048 (order: 4, 65536 bytes)
[    0.771608] NET: Registered protocol family 1
[    0.772745] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.776192] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.777543] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.779083] Unpacking initramfs...
[    1.528476] Freeing initrd memory: 49124K (ffff88007d007000 - ffff880080000000)
[    1.530818] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    1.532245] software IO TLB [mem 0xbbfe0000-0xbffe0000] (64MB) mapped at [ffff8800bbfe0000-ffff8800bffdffff]
[    1.535181] futex hash table entries: 256 (order: 2, 16384 bytes)
[    1.536624] audit: initializing netlink subsys (disabled)
[    1.537919] audit: type=2000 audit(1457430755.815:1): initialized
[    1.539564] Initialise system trusted keyring
[    1.542140] zbud: loaded
[    1.543529] Key type big_key registered
[    1.549767] NET: Registered protocol family 38
[    1.551023] Key type asymmetric registered
[    1.552164] Asymmetric key parser 'x509' registered
[    1.553480] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 250)
[    1.555752] io scheduler noop registered
[    1.556918] io scheduler deadline registered
[    1.558118] io scheduler cfq registered (default)
[    1.559426] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    1.560750] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    1.562308] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
[    1.564412] ACPI: Power Button [PWRF]
[    1.565626] GHES: HEST is not enabled!
[    1.566784] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[    1.591831] 00:05: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    1.595162] Non-volatile memory driver v1.3
[    1.596326] Linux agpgart interface v0.103
[    1.598693] scsi host0: ata_piix
[    1.599764] scsi host1: ata_piix
[    1.602720] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc040 irq 14
[    1.604227] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc048 irq 15
[    1.608426] libphy: Fixed MDIO Bus: probed
[    1.609612] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.611084] ehci-pci: EHCI PCI platform driver
[    1.612246] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.613683] ohci-pci: OHCI PCI platform driver
[    1.614826] uhci_hcd: USB Universal Host Controller Interface driver
[    1.616308] usbcore: registered new interface driver usbserial
[    1.617710] usbcore: registered new interface driver usbserial_generic
[    1.619554] usbserial: USB Serial support registered for generic
[    1.621951] i8042: PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
[    1.626760] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.627987] serio: i8042 AUX port at 0x60,0x64 irq 12
[    1.629363] mousedev: PS/2 mouse device common for all mice
[    1.631106] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[    1.633656] rtc_cmos 00:00: RTC can wake from S4
[    1.637324] input: VirtualPS/2 VMware VMMouse as /devices/platform/i8042/serio1/input/input4
[    1.639554] rtc_cmos 00:00: rtc core: registered rtc_cmos as rtc0
[    1.641120] rtc_cmos 00:00: alarms up to one day, 114 bytes nvram, hpet irqs
[    1.642862] device-mapper: uevent: version 1.0.3
[    1.644325] input: VirtualPS/2 VMware VMMouse as /devices/platform/i8042/serio1/input/input3
[    1.646550] device-mapper: ioctl: 4.34.0-ioctl (2015-10-28) initialised: dm-devel@redhat.com
[    1.649002] hidraw: raw HID events driver (C) Jiri Kosina
[    1.650812] usbcore: registered new interface driver usbhid
[    1.652273] usbhid: USB HID core driver
[    1.655697] drop_monitor: Initializing network drop monitor service
[    1.659050] ip_tables: (C) 2000-2006 Netfilter Core Team
[    1.661774] Initializing XFRM netlink socket
[    1.664345] NET: Registered protocol family 10
[    1.669399] mip6: Mobile IPv6
[    1.671268] NET: Registered protocol family 17
[    1.673920] microcode: CPU0 sig=0x663, pf=0x1, revision=0x1
[    1.676790] microcode: Microcode Update Driver: v2.01 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[    1.681553] registered taskstats version 1
[    1.683810] Loading compiled-in X.509 certificates
[    1.688156] Loaded X.509 cert 'Fedora kernel signing key: 9b5d07afc6c2921d8348d9c3fc68f7aeb26848f4'
[    1.692702] zswap: loaded using pool lzo/zbud
[    1.695278]   Magic number: 8:872:878
[    1.699440] rtc_cmos 00:00: setting system clock to 2016-03-08 09:52:35 UTC (1457430755)
[    1.759933] ata1.00: ATA-7: QEMU HARDDISK, 2.4.1, max UDMA/100
[    1.762737] ata1.00: 209715200 sectors, multi 16: LBA48 
[    1.765801] ata2.00: ATAPI: QEMU DVD-ROM, 2.4.1, max UDMA/100
[    1.769374] ata2.00: configured for MWDMA2
[    1.772826] ata1.00: configured for MWDMA2
[    1.775158] scsi 0:0:0:0: Direct-Access     ATA      QEMU HARDDISK    1    PQ: 0 ANSI: 5
[    1.779823] sd 0:0:0:0: [sda] 209715200 512-byte logical blocks: (107 GB/100 GiB)
[    1.783872] sd 0:0:0:0: [sda] Write Protect is off
[    1.788097] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    1.791084] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.796302] scsi 1:0:0:0: CD-ROM            QEMU     QEMU DVD-ROM     2.4. PQ: 0 ANSI: 5
[    1.802917] sr 1:0:0:0: [sr0] scsi3-mmc drive: 4x/4x cd/rw xa/form2 tray
[    1.805786] cdrom: Uniform CD-ROM driver Revision: 3.20
[    1.809213] sd 0:0:0:0: [sda] Attached SCSI disk
[    1.811805] sr 1:0:0:0: Attached scsi generic sg1 type 5
[    1.816282] Freeing unused kernel memory: 1548K (ffffffff81d4e000 - ffffffff81ed1000)
[    1.821256] Write protecting the kernel read-only data: 12288k
[    1.824515] Freeing unused kernel memory: 148K (ffff8800017db000 - ffff880001800000)
[    1.830268] Freeing unused kernel memory: 596K (ffff880001b6b000 - ffff880001c00000)
[    1.842683] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[    1.853050] random: systemd urandom read with 14 bits of entropy available
[    1.858648] systemd[1]: systemd 229 running in system mode. (+PAM +AUDIT +SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN)
[    1.867860] systemd[1]: Detected virtualization qemu.
[    1.870603] systemd[1]: Detected architecture x86-64.
[    1.873230] systemd[1]: Running in initial RAM disk.

Welcome to Fedora 24 (Workstation Edition) dracut-044-18.git20160108.fc24 (Initramfs)!

[    1.878485] systemd[1]: No hostname configured.
[    1.879933] systemd[1]: Set hostname to <localhost>.
[    1.881235] systemd[1]: Initializing machine ID from random generator.
[    1.947136] systemd[1]: Listening on udev Kernel Socket.
[  OK  ] Listening on udev Kernel Socket.
[    1.949853] systemd[1]: Reached target Encrypted Volumes.
[  OK  ] Reached target Encrypted Volumes.
[    1.952572] systemd[1]: Listening on udev Control Socket.
[  OK  ] Listening on udev Control Socket.
[    1.955196] systemd[1]: Listening on Journal Socket (/dev/log).
[  OK  ] Listening on Journal Socket (/dev/log).
[    1.958391] systemd[1]: Created slice System Slice.
[  OK  ] Created slice System Slice.
[    1.960767] systemd[1]: Reached target Slices.
[  OK  ] Reached target Slices.
[    1.963045] systemd[1]: Reached target Swap.
[  OK  ] Reached target Swap.
[    1.965190] systemd[1]: Reached target Local File Systems.
[  OK  ] Reached target Local File Systems.
[    1.971076] systemd[1]: Reached target Timers.
[  OK  ] Reached target Timers.
[    1.973512] systemd[1]: Listening on Journal Audit Socket.
[  OK  ] Listening on Journal Audit Socket.
[    1.976342] systemd[1]: Listening on Journal Socket.
[  OK  ] Listening on Journal Socket.
[    1.991509] systemd[1]: Starting dracut cmdline hook...
         Starting dracut cmdline hook...
[    1.994205] systemd[1]: Starting Apply Kernel Variables...
         Starting Apply Kernel Variables...
[    2.009151] systemd[1]: Starting Setup Virtual Console...
         Starting Setup Virtual Console...
[    2.016541] systemd[1]: Starting Create list of required static device nodes for the current kernel...
         Starting Create list of required st... nodes for the current kernel...
[    2.031213] systemd[1]: Starting Journal Service...
         Starting Journal Service...
[    2.044629] systemd[1]: Started Apply Kernel Variables.
[  OK  ] Started Apply Kernel Variables.
[    2.064793] audit: type=1130 audit(1457430755.865:2): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-sysctl comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    2.080964] systemd[1]: Started Setup Virtual Console.
[  OK  ] Started Setup Virtual Console.
[    2.092375] audit: type=1130 audit(1457430755.892:3): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-vconsole-setup comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    2.101980] systemd[1]: Started Create list of required static device nodes for the current kernel.
[  OK  ] Started Create list of required sta...ce nodes for the current kernel.
[    2.110724] audit: type=1130 audit(1457430755.911:4): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=kmod-static-nodes comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    2.124871] systemd[1]: Started Journal Service.
[  OK  ] Started Journal Service.
[    2.132092] audit: type=1130 audit(1457430755.932:5): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-journald comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    2.167052] loop: module loaded
         Starting Create Static Device Nodes in /dev...
[  OK  ] Started Create Static Device Nodes in /dev.
[    2.183062] audit: type=1130 audit(1457430755.983:6): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-tmpfiles-setup-dev comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[  OK  ] Started dracut cmdline hook.
[    2.272504] audit: type=1130 audit(1457430756.072:7): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-cmdline comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
         Starting Open-iSCSI...
         Starting dracut pre-udev hook...
[    2.313279] Loading iSCSI transport class v2.0-870.
[  OK  ] Started Open-iSCSI.
[    2.321510] audit: type=1130 audit(1457430756.121:8): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=iscsid comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    2.360492] RPC: Registered named UNIX socket transport module.
[    2.361894] RPC: Registered udp transport module.
[    2.363085] RPC: Registered tcp transport module.
[    2.364394] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    2.438573] alua: device handler registered
[    2.443631] emc: device handler registered
[    2.449089] rdac: device handler registered
[  OK  ] Started dracut pre-udev hook.
[    2.460325] audit: type=1130 audit(1457430756.260:9): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-pre-udev comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
         Starting udev Kernel Device Manager...
[  OK  ] Started udev Kernel Device Manager.
[    2.480901] audit: type=1130 audit(1457430756.281:10): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
         Starting dracut pre-trigger hook...
[    2.536706] tsc: Refined TSC clocksource calibration: 2494.330 MHz
[    2.538681] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x23f44dae1ab, max_idle_ns: 440795269790 ns
[  OK  ] Started dracut pre-trigger hook.
         Starting udev Coldplug all Devices...
         Mounting Configuration File System...
[  OK  ] Mounted Configuration File System.
[  OK  ] Started udev Coldplug all Devices.
[  OK  ] Reached target System Initialization.
[  OK  ] Listening on Open-iSCSI iscsiuio Socket.
[  OK  ] Reached target Sockets.
         Starting dracut initqueue hook...
         Starting Show Plymouth Boot Screen...
[    2.837769] e1000: Intel(R) PRO/1000 Network Driver - version 7.3.21-k8-NAPI
[    2.839385] e1000: Copyright (c) 1999-2006 Intel Corporation.
[    2.910365] [drm] Initialized drm 1.1.0 20060810
[    2.953618] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
[    3.276763] e1000 0000:00:03.0 eth0: (PCI:33MHz:32-bit) 52:54:00:12:34:56
[    3.279833] e1000 0000:00:03.0 eth0: Intel(R) PRO/1000 Network Connection
[    3.287082] [drm] Found bochs VGA, ID 0xb0c0.
[    3.291448] [drm] Framebuffer size 16384 kB @ 0xfd000000, mmio @ 0xfebf0000.
[    3.305177] e1000 0000:00:03.0 ens3: renamed from eth0
[    3.308076] 8021q: 802.1Q VLAN Support v1.8
[    3.315119] [TTM] Zone  kernel: Available graphics memory: 2023610 kiB
[    3.316691] [TTM] Initializing pool allocator
[    3.320158] [TTM] Initializing DMA pool allocator
[    3.324717] fbcon: bochsdrmfb (fb0) is primary device
[    3.337045] Console: switching to colour frame buffer device 128x48
[    3.340462] bochs-drm 0000:00:02.0: fb0: bochsdrmfb frame buffer device
[    3.341969] [drm] Initialized bochs-drm 1.0.0 20130925 for 0000:00:02.0 on minor 0
[  OK  ] Started Show Plymouth Boot Screen.
[  OK  ] Reached target Paths.
[  OK  ] Started Forward Password Requests to Plymouth Directory Watch.
[  OK  ] Reached target Basic System.
[    3.445081] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[  OK  ] Found device /dev/mapper/live-rw.
[  OK  ] Started dracut initqueue hook.
[  OK  ] Reached target Remote File Systems (Pre).
[  OK  ] Reached target Remote File Systems.
         Starting dracut pre-mount hook...
[  OK  ] Started dracut pre-mount hook.
         Mounting /sysroot...
[    3.717852] EXT4-fs (dm-0): mounted filesystem with ordered data mode. Opts: (null)
[  OK  ] Mounted /sysroot.
[  OK  ] Reached target Initrd Root File System.
         Starting Reload Configuration from the Real Root...
[  OK  ] Started Reload Configuration from the Real Root.
[  OK  ] Reached target Initrd File Systems.
[  OK  ] Reached target Initrd Default Target.
         Starting dracut pre-pivot and cleanup hook...
[  OK  ] Started dracut pre-pivot and cleanup hook.
         Starting Cleaning Up and Shutting Down Daemons...
[  OK  ] Stopped Cleaning Up and Shutting Down Daemons.
         Starting Plymouth switch root service...
[  OK  ] Stopped target Timers.
[  OK  ] Stopped dracut pre-pivot and cleanup hook.
[  OK  ] Stopped dracut pre-mount hook.
[  OK  ] Stopped target Initrd Default Target.
[  OK  ] Stopped target Basic System.
[  OK  ] Stopped target Sockets.
[  OK  ] Stopped target Slices.
[  OK  ] Stopped target Paths.
[  OK  ] Closed Open-iSCSI iscsiuio Socket.
[  OK  ] Stopped target System Initialization.
[  OK  ] Stopped target Encrypted Volumes.
[  OK  ] Stopped target Local File Systems.
[  OK  ] Stopped Apply Kernel Variables.
[  OK  ] Stopped target Swap.
[  OK  ] Stopped target Remote File Systems.
[  OK  ] Stopped target Remote File Systems (Pre).
[  OK  ] Stopped dracut initqueue hook.
         Stopping Open-iSCSI...
[  OK  ] Stopped udev Coldplug all Devices.
[  OK  ] Stopped dracut pre-trigger hook.
         Stopping udev Kernel Device Manager...
[  OK  ] Stopped udev Kernel Device Manager.
[  OK  ] Stopped Open-iSCSI.
[  OK  ] Stopped dracut pre-udev hook.
[  OK  ] Stopped dracut cmdline hook.
[    4.204493] systemd-journald[141]: Received SIGTERM from PID 1 (systemd).

[  OK  ] Stopped Create list of required sta...ce nodes for the current kernel.
[  OK  ] Closed udev Kernel Socket.
[  OK  ] Closed udev Control Socket.
         Starting Cleanup udevd DB...
[  OK  ] Started Cleanup udevd DB.
[  OK  ] Reached target Switch Root.
[  OK  ] Started Plymouth switch root service.
         Starting Switch Root...
[    4.267887] random: nonblocking pool is initialized
[    4.858869] SELinux:  Permission validate_trans in class security not defined in policy.
[    4.863061] SELinux: the above unknown classes and permissions will be allowed
[    4.883375] systemd[1]: Successfully loaded SELinux policy in 207.265ms.
[    4.963379] systemd[1]: Relabelled /dev and /run in 25.185ms.

Welcome to Fedora 24 (Workstation Edition)!

[  OK  ] Stopped Switch Root.
[  OK  ] Stopped Journal Service.
         Starting Journal Service...
         Starting Remount Root and Kernel File Systems...
[  OK  ] Created slice system-getty.slice.
         Starting Create list of required st... nodes for the current kernel...
[  OK  ] Listening on LVM2 poll daemon socket.
[  OK  ] Listening on Process Core Dump Socket.
[  OK  ] Set up automount Arbitrary Executab...ats File System Automount Point.
         Mounting Temporary Directory...
[  OK  ] Listening on udev Kernel Socket.
[  OK  ] Listening on /dev/initctl Compatibility Named Pipe.
[  OK  ] Listening on udev Control Socket.
[  OK  ] Listening on Device-mapper event daemon FIFOs.
[    6.155213] EXT4-fs (dm-0): re-mounted. Opts: (null)
         Mounting Debug File System...
         Mounting POSIX Message Queue File System...
[  OK  ] Started Forward Password Requests to Wall Directory Watch.
         Starting Apply Kernel Variables...
[  OK  ] Reached target Swap.
         Mounting NFSD configuration filesystem...
[  OK  ] Reached target User and Group Name Lookups.
[  OK  ] Created slice User and Session Slice.
[  OK  ] Reached target Slices.
[  OK  ] Listening on LVM2 metadata daemon socket.
         Starting Monitoring of LVM2 mirrors... dmeventd or progress polling...
[  OK  ] Stopped target Switch Root.
[  OK  ] Stopped target Initrd File Systems.
[  OK  ] Stopped target Initrd Root File System.
         Mounting Huge Pages File System...
[  OK  ] Created slice system-serial\x2dgetty.slice.
[  OK  ] Mounted Debug File System.
[  OK  ] Mounted POSIX Message Queue File System.
[  OK  ] Mounted Temporary Directory.
[  OK  ] Mounted Huge Pages File System.
[  OK  ] Started Journal Service.
[  OK  ] Started Remount Root and Kernel File Systems.
[  OK  ] Started Create list of required sta...ce nodes for the current kernel.
[  OK  ] Started Apply Kernel Variables.
[    6.603791] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[  OK  ] Mounted NFSD configuration filesystem.
[  OK  ] Started LVM2 metadata daemon.
[    6.637860] audit_printk_skb: 150 callbacks suppressed
[    6.639256] audit: type=1130 audit(1457430760.438:61): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=lvm2-lvmetad comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
         Starting Configure read-only root support...
         Starting Create Static Device Nodes in /dev...
         Starting udev Coldplug all Devices...
         Starting Flush Journal to Persistent Storage...
[    7.019352] systemd-journald[731]: Received request to flush runtime journal from PID 1
[  OK  ] Started Flush Journal to Persistent Storage.
[    7.037913] audit: type=1130 audit(1457430760.838:62): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-journal-flush comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[  OK  ] Started Configure read-only root support.
[    7.056458] audit: type=1130 audit(1457430760.856:63): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fedora-readonly comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[  OK  ] Started Create Static Device Nodes in /dev.
[    7.065739] audit: type=1130 audit(1457430760.866:64): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-tmpfiles-setup-dev comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
         Starting udev Kernel Device Manager...
         Starting Load/Save Random Seed...
[  OK  ] Started Load/Save Random Seed.
[    7.171215] audit: type=1130 audit(1457430760.971:65): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-random-seed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    7.324514] audit: type=1130 audit(1457430761.124:66): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=lvm2-monitor comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[  OK  ] Started Monitoring of LVM2 mirrors,...ng dmeventd or progress polling.
[    7.424348] audit: type=1130 audit(1457430761.224:67): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udevd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[  OK  ] Started udev Kernel Device Manager.
[    7.446310] audit: type=1130 audit(1457430761.246:68): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udev-trigger comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[  OK  ] Started udev Coldplug all Devices.
         Starting udev Wait for Complete Device Initialization...
[    7.727446] parport_pc 00:04: reported by Plug and Play ACPI
[    7.841234] parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE]
[  OK  ] Found device /dev/ttyS0.
[    8.108965] ppdev: user-space parallel port driver
[    8.174460] ACPI: No IRQ available for PCI Interrupt Link [LNKS]. Try pci=noacpi or acpi=off
[    8.177535] piix4_smbus 0000:00:01.3: PCI INT A: no GSI
[    8.180370] piix4_smbus 0000:00:01.3: SMBus Host Controller at 0x700, revision 0
[    8.392504] audit: type=1130 audit(1457430762.192:69): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udev-settle comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[  OK  ] Started udev Wait for Complete Device Initialization.
         Starting Activation of DM RAID sets...
[    8.460421] audit: type=1130 audit(1457430762.260:70): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dmraid-activation comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[  OK  ] Started Activation of DM RAID sets.
[  OK  ] Reached target Local File Systems (Pre).
         Mounting /var/tmp...
[  OK  ] Reached target Encrypted Volumes.
[  OK  ] Mounted /var/tmp.
[  OK  ] Reached target Local File Systems.
         Starting Tell Plymouth To Write Out Runtime Data...
         Starting Import network configuration from initramfs...
         Starting Restore /run/initramfs on shutdown...
         Starting Preprocess NFS configuration...
[  OK  ] Started Restore /run/initramfs on shutdown.
[  OK  ] Started Preprocess NFS configuration.
[  OK  ] Started Tell Plymouth To Write Out Runtime Data.
[  OK  ] Started Import network configuration from initramfs.
         Starting Create Volatile Files and Directories...
[  OK  ] Started Create Volatile Files and Directories.
         Starting Security Auditing Service...
[  OK  ] Started Security Auditing Service.
         Starting Update UTMP about System Boot/Shutdown...
[  OK  ] Started Update UTMP about System Boot/Shutdown.
[  OK  ] Reached target System Initialization.
[  OK  ] Listening on Virtual machine lock manager socket.
[  OK  ] Listening on Open-iSCSI iscsiuio Socket.
[  OK  ] Listening on D-Bus System Message Bus Socket.
[  OK  ] Listening on CUPS Scheduler.
[  OK  ] Started daily update of the root trust anchor for DNSSEC.
[  OK  ] Started Updates mlocate database every day.
[  OK  ] Listening on Avahi mDNS/DNS-SD Stack Activation Socket.
[  OK  ] Listening on RPCbind Server Activation Socket.
[  OK  ] Listening on Open-iSCSI iscsid Socket.
[  OK  ] Listening on Virtual machine log manager socket.
[  OK  ] Reached target Sockets.
[  OK  ] Started CUPS Scheduler.
[  OK  ] Reached target Paths.
[  OK  ] Reached target Basic System.
         Starting GSSAPI Proxy Daemon...
         Starting NTP client/server...
[  OK  ] Started Hardware RNG Entropy Gatherer Daemon.
         Starting LSB: Init script for live image....
         Starting Avahi mDNS/DNS-SD Stack...
         Starting Accounts Service...
         Starting Rollback uncommitted netcf...rk config change transactions...
         Starting Modem Manager...
[  OK  ] Started D-Bus System Message Bus.
[  OK  ] Started Avahi mDNS/DNS-SD Stack.
         Starting firewalld - dynamic firewall daemon...
         Starting Login Service...
[  OK  ] Started Machine Check Exception Logging Daemon.
[  OK  ] Started Manage Sound Card State (restore and store).
         Starting RealtimeKit Scheduling Policy Service...
[  OK  ] Started Daily Cleanup of Temporary Directories.
[  OK  ] Reached target Timers.
[  OK  ] Started GSSAPI Proxy Daemon.
[  OK  ] Started Rollback uncommitted netcf network config change transactions.
[  OK  ] Started NTP client/server.
[  OK  ] Started Modem Manager.
[  OK  ] Started RealtimeKit Scheduling Policy Service.
[  OK  ] Started Login Service.
         Starting Authorization Manager...
[  OK  ] Reached target NFS client services.
[  OK  ] Started Authorization Manager.
[  OK  ] Started Accounts Service.
[  OK  ] Stopped Software RAID monitoring and management.
[  OK  ] Stopped Command Scheduler.
[  OK  ] Stopped Job spooling tools.
[  OK  ] Started LSB: Init script for live image..
         Starting SYSV: Late init script for live image....
         Starting ABRT Automated Bug Reporting Tool...
[  OK  ] Started SYSV: Late init script for live image..
[  OK  ] Started ABRT Automated Bug Reporting Tool.
[  OK  ] Started ABRT kernel log watcher.
         Starting Install ABRT coredump hook...
[  OK  ] Started ABRT Xorg log watcher.
[   13.360973] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[  OK  ] Started Install ABRT coredump hook.
[   13.563083] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   13.668474] Ebtables v2.0 registered
[   13.712497] bridge: automatic filtering via arp/ip/ip6tables has been deprecated. Update your scripts to load br_netfilter if you need this.
[  OK  ] Started firewalld - dynamic firewall daemon.
         Starting Network Manager...
[   14.350489] Netfilter messages via NETLINK v0.30.
[  OK  ] Started Network Manager.
[  OK  ] Reached target Network.
[  OK  ] Started Logout off all iSCSI sessions on shutdown.
[   14.433347] ip_set: protocol 6le Systems (Pre).

[  OK  ] Reached target Remote File Systems.
         Starting Virtualization daemon...
         Starting Permit User Sessions...
         Starting Availability of block devices...
         Starting Notify NFS peers of a restart...
[  OK  ] Started Availability of block devices.
[  OK  ] Started Notify NFS peers of a restart.
[  OK  ] Started Permit User Sessions.
         Starting Wait for Plymouth Boot Screen to Quit...
         Starting GNOME Display Manager...
         Starting Network Manager Script Dispatcher Service...
[  OK  ] Started Network Manager Script Dispatcher Service.
[  OK  ] Started GNOME Display Manager.
         Starting Hostname Service...
[  OK  ] Started Hostname Service.
[   16.023609] IPv6: ADDRCONF(NETDEV_UP): ens3: link is not ready
[   16.053746] e1000: ens3 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[   16.098198] 8021q: adding VLAN 0 to HW filter on device ens3
[  OK  ] Started Virtualization daemon.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[   23.991712] tun: Universal TUN/TAP device driver, 1.6
[   23.993938] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[   24.015870] device virbr0-nic entered promiscuous mode
[   24.341697] virbr0: port 1(virbr0-nic) entered listening state
[   24.344160] virbr0: port 1(virbr0-nic) entered listening state
[   24.539893] virbr0: port 1(virbr0-nic) entered disabled state
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.
[  OK  ] Stopped User Manager for UID 1000.
[  OK  ] Removed slice user-1000.slice.

Fedora 24 (Workstation Edition)
Kernel 4.5.0-0.rc5.git0.1.fc24.x86_64 on an x86_64 (ttyS0)

localhost login: localhost
Password: 
Login incorrect

localhost login: localhost
Password: 
Login incorrect

localhost login: 
Password: 

Login incorrect

Fedora 24 (Workstation Edition)
Kernel 4.5.0-0.rc5.git0.1.fc24.x86_64 on an x86_64 (ttyS0)

localhost login:
Comment 9 Amit Shah 2016-03-08 05:25:59 EST
Thanks.

So looks like the boot has succeeded, and you should be able to login (at least via the text console).  Try root as the username, and no password.  Alternatively, liveuser and no password.

I think this isn't related to virt.  After you login as root, can you check journalctl to find out what isn't coming up alright?
Comment 10 Amit Shah 2016-03-08 05:32:56 EST
BTW it could also be a busted graphics driver.  Can you try

-vga qxl

on the cmdline, and see if that makes a difference?
Comment 11 Tim Lloyd 2016-03-08 17:05:15 EST
Hi,

some further feedback. I initiated qemu thus:

qemu-system-x86_64 -cdrom Downloads/Fedora-Live-Workstation-x86_64-rawhide-20160223.iso -hda Templates/f24.img -boot c -m 4G -enable-kvm -serial stdio -vga qxl

I logged in as root and after startx I got:

localhost login: root
[root@localhost ~]# 
[root@localhost ~]# startx
xauth:  file /root/.serverauth.2403 does not exist
xauth:  file /root/.Xauthority does not exist
xauth:  file /root/.Xauthority does not exist


X.Org X Server 1.18.1
Release Date: 2016-02-08
X Protocol Version 11, Revision 0
Build Operating System:  4.3.4-300.fc23.x86_64 
Current Operating System: Linux localhost 4.5.0-0.rc5.git0.1.fc24.x86_64 #1 SMP Sun Feb 21 22:39:46 UTC 2016 x86_64
Kernel command line: BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-rawhide-20 rootfstype=auto ro rd.live.image rd.luks=0 rd.md=0 rd.dm=0 console=tty0 console=ttyS0
Build Date: 15 February 2016  03:16:53AM
Build ID: xorg-x11-server 1.18.1-2.fc24 
Current version of pixman: 0.34.0
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Mar  8 16:10:11 2016
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(II) [KMS] Kernel modesetting enabled.
resizing primary to 1024x768
primary is 0x26bba20
[   51.011281] do_trap: 39 callbacks suppressed
[   51.011925] traps: glxinfo[2454] trap divide error ip:7f3e9f249f79 sp:7ffd6309bb28 error:0 in libpthread-2.22.90.so[7f3e9f23c000+18000]
Failed to import environment: Process org.freedesktop.systemd1 exited with status 1
cp: cannot stat '/usr/share/applications/liveinst.desktop': No such file or directory
[   51.832242] fuse init (API version 7.24)
[   53.065206] traps: gnome-session-c[2559] trap divide error ip:7fa6bde41f79 sp:7ffc797e4998 error:0 in libpthread-2.22.90.so[7fa6bde34000+18000]

journalctl shows:

Mar 09 08:09:23 dragon kernel: kvm [27539]: vcpu0 disabled perfctr wrmsr: 0xc2 data 0xffff
Mar 09 08:11:28 dragon cupsd[1938]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription successful-ok
Mar 09 08:12:15 dragon org.freedesktop.Tracker1[1797]: (tracker-store:2180): Tracker-WARNING **: Could not create FTS insert statement: unknown tokenizer: TrackerTokenizer
Mar 09 08:12:16 dragon org.freedesktop.Tracker1[1797]: (tracker-store:2180): Tracker-WARNING **: Could not create FTS update statement: unknown tokenizer: TrackerTokenizer
Mar 09 08:12:16 dragon org.freedesktop.Tracker1[1797]: (tracker-store:2180): Tracker-WARNING **: Could not create FTS update statement: unknown tokenizer: TrackerTokenizer


If this is not a virt issue could it be reassigned pls? As I also get an issue running this release on my laptop is it worth raising a separate bug?
Comment 12 Amit Shah 2016-03-08 22:57:04 EST
Can you try adding 'selinux=0' as a guest kernel parameter?  There are quite a few selinux failures, don't know if it's related to that.  I don't see anything conclusive though: there are quite a few traps (program crashes), but not much info on which and why.  journalctl should have all that info.

If disabling selinux doesn't resolve this, the best bet would be to reassign the bug to gnome and try to figure out what is going wrong.
Comment 13 Tim Lloyd 2016-03-09 00:00:55 EST
'ello, 'ello. disabling selinux did the trick. Does this mean that selinux is not allowing the qemu guest to talk to my host?

There is a glxinfo error


localhost login: [   69.757953] traps: glxinfo[1865] trap divide error ip:7ff3d1d6df79 sp:7fff041f9088 error:0 in libpthread-2.22.90.so[7ff3d1d60000+18000]
[   70.406668] traps: gnome-session-c[1956] trap divide error ip:7fae29082f79 sp:7fff5b979f98 error:0 in libpthread-2.22.90.so[7fae29075000+18000]
[   73.721488] device virbr0-nic left promiscuous mode
[   73.722361] virbr0: port 1(virbr0-nic) entered disabled state
[   73.828133] IPv6: ADDRCONF(NETDEV_UP): virbr0-nic: link is not ready
Comment 14 Amit Shah 2016-03-09 00:17:47 EST
(In reply to Tim Lloyd from comment #13)
> 'ello, 'ello. disabling selinux did the trick. Does this mean that selinux
> is not allowing the qemu guest to talk to my host?

No, it means the selinux policy needs to be updated to allow whatever accesses that are being rejected.  I'm re-assigning this to selinux, but I think they'll need full details from audit.log.

> There is a glxinfo error

There can be multiple bugs; but since now the gnome-session does come up, it may not be a fatal error.

You can raise separate bugs for the traps.
Comment 15 Marc-Andre Lureau 2016-04-29 12:43:40 EDT
This solved it for me:

allow systemd_logind_t init_t:system { start stop };
allow systemd_logind_t tmpfs_t:file getattr;
Comment 16 Fedora End Of Life 2017-07-25 16:18:03 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-08-08 09:06:25 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.